System 2.0.0.0 4.0.0.0 System.Collections.CollectionBase System.Runtime.InteropServices.ClassInterface(System.Runtime.InteropServices.ClassInterfaceType.AutoDispatch) System.Runtime.InteropServices.ComVisible(true)

The class provides a simple collection object that can be used to store a set of objects.

Represents a collection of objects.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the code directive objects in the specified array.

  An array of objects with which to initialize the collection.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the elements in the specified code directive collection.

  A object with which to initialize the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds the specified object to the collection.

  The index position at which the new element was inserted.

  The object to add.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds an array of objects to the end of the collection.

  An array of objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Adds the contents of the specified object to the end of the collection.

  A object containing the objects to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Gets a value indicating whether the collection contains the specified object.

  true if the collection contains the specified object; otherwise, false.

  The object to search for in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the contents of the collection to a one-dimensional array beginning at the specified index.

  An array of type that is the destination of the values copied from the collection. The index in the array at which to begin inserting collection objects.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Gets the index in the collection of the specified object, if it exists in the collection.

  The index position in the collection of the specified object, if found; otherwise, -1.

  The object to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts the specified object into the collection at the specified index.

  The zero-based index position where the specified object should be inserted. The object to insert.
- Property
  2.0.0.0
  4.0.0.0
  System.CodeDom.CodeDirective `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the specified object from the collection.

  The object to remove from the collection.